'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _spin = require('jcloudui/lib/spin');

var _spin2 = _interopRequireDefault(_spin);

var _redboxReact2 = require('redbox-react');

var _redboxReact3 = _interopRequireDefault(_redboxReact2);

var _react2 = require('react');

var _react3 = _interopRequireDefault(_react2);

var _reactTransformCatchErrors3 = require('react-transform-catch-errors');

var _reactTransformCatchErrors4 = _interopRequireDefault(_reactTransformCatchErrors3);

require('jcloudui/lib/spin/style');

require('./LoadingStyle.css');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _defaults(obj, defaults) { var keys = Object.getOwnPropertyNames(defaults); for (var i = 0; i < keys.length; i++) { var key = keys[i]; var value = Object.getOwnPropertyDescriptor(defaults, key); if (value && value.configurable && obj[key] === undefined) { Object.defineProperty(obj, key, value); } } return obj; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : _defaults(subClass, superClass); }

var _components = {
  Loading: {
    displayName: 'Loading'
  }
};

var _reactTransformCatchErrors2 = (0, _reactTransformCatchErrors4.default)({
  filename: '../../src/components/Loading/Loading.js',
  components: _components,
  locals: [],
  imports: [_react3.default, _redboxReact3.default]
});

function _wrapComponent(id) {
  return function (Component) {
    return _reactTransformCatchErrors2(Component, id);
  };
} /*
  
   * author:LiuYang
   * date:2017-09-05
   * description:进行页面优化给数据返回过程加loading状态提升用户体验
   */


var Loading = _wrapComponent('Loading')(function (_Component) {
  _inherits(Loading, _Component);

  function Loading(props, context) {
    _classCallCheck(this, Loading);

    var _this = _possibleConstructorReturn(this, _Component.call(this, props, context));

    _this.containers = '';
    return _this;
  }

  Loading.prototype.changeScrollStatus = function changeScrollStatus(status) {
    if (typeof document !== 'undefined') {
      var bodyElement = document.getElementsByTagName('body');
      if (status) {
        debugger;
        bodyElement[0].style.overflow = 'hidden';
      } else {
        bodyElement[0].style.overflow = 'auto';
      }
    } else {}
  };

  Loading.prototype.render = function render() {
    this.changeScrollStatus(!this.props.loaded);
    return _react3.default.createElement(
      'div',
      null,
      !this.props.loaded && _react3.default.createElement(
        'div',
        { id: 'loadForLy' },
        _react3.default.createElement(
          'div',
          { className: 'example' },
          _react3.default.createElement(_spin2.default, { size: 'large' })
        )
      )
    );
  };

  return Loading;
}(_react2.Component));

exports.default = Loading;
module.exports = exports['default'];
//# sourceMappingURL=Loading.js.map