"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

exports.default = function () {
  var state = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : { session: null };
  var action = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : {};

  switch (action.type) {
    case INJECT_SESSION:
      return _extends({}, state, action.session);
    default:
      return state;
  }
};

exports.injectSession = injectSession;

var _reactRouterRedux = require("react-router-redux");

var INJECT_SESSION = 'express/session/INIT';
function injectSession(session) {
  return {
    type: INJECT_SESSION,
    session: session
  };
}
//# sourceMappingURL=session.js.map