'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _redboxReact2 = require('redbox-react');

var _redboxReact3 = _interopRequireDefault(_redboxReact2);

var _react2 = require('react');

var _react3 = _interopRequireDefault(_react2);

var _reactTransformCatchErrors3 = require('react-transform-catch-errors');

var _reactTransformCatchErrors4 = _interopRequireDefault(_reactTransformCatchErrors3);

require('./styles/styles.css');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _defaults(obj, defaults) { var keys = Object.getOwnPropertyNames(defaults); for (var i = 0; i < keys.length; i++) { var key = keys[i]; var value = Object.getOwnPropertyDescriptor(defaults, key); if (value && value.configurable && obj[key] === undefined) { Object.defineProperty(obj, key, value); } } return obj; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : _defaults(subClass, superClass); }

var _components = {
  CustomerMini: {
    displayName: 'CustomerMini'
  }
};

var _reactTransformCatchErrors2 = (0, _reactTransformCatchErrors4.default)({
  filename: '../../src/components/CustomerMini/CustomerMini.js',
  components: _components,
  locals: [],
  imports: [_react3.default, _redboxReact3.default]
});

function _wrapComponent(id) {
  return function (Component) {
    return _reactTransformCatchErrors2(Component, id);
  };
} /**
   * Created by huangxiao3 on 2017/6/12.
   */


var customer = require('./hnc_online3.png');

var CustomerMini = _wrapComponent('CustomerMini')(function (_Component) {
  _inherits(CustomerMini, _Component);

  function CustomerMini(props, context) {
    _classCallCheck(this, CustomerMini);

    return _possibleConstructorReturn(this, _Component.call(this, props, context));
  }

  CustomerMini.prototype.handleCreateShangQiao = function handleCreateShangQiao() {
    var defaultUrl = 'http://p.qiao.baidu.com/cps/chat?siteId=11653509&userId=5784152';
    var iWidth = 580;
    var iHeight = 510;
    var iTop = (window.screen.availHeight - 30 - iHeight) / 2;
    var iLeft = (window.screen.availWidth - 10 - iWidth) / 2;
    var sqUrl = this.props.SqCode ? this.props.SqCode : defaultUrl;
    window.open(sqUrl, "shangqiao", 'height=510, width=580, toolbar =no, menubar=no, scrollbars=no, resizable=no, location=no, status=no, top=' + iTop + ',left=' + iLeft);
  };

  CustomerMini.prototype.render = function render() {
    var _this2 = this;

    return _react3.default.createElement(
      'div',
      { className: 'main', onClick: function onClick() {
          return _this2.handleCreateShangQiao();
        } },
      _react3.default.createElement('img', { src: customer, className: 'img' }),
      _react3.default.createElement(
        'div',
        { className: 'custext' },
        '\u5728\u7EBF\u5BA2\u670D'
      )
    );
  };

  return CustomerMini;
}(_react2.Component));

exports.default = CustomerMini;
module.exports = exports['default'];
//# sourceMappingURL=CustomerMini.js.map