'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _layout = require('jcloudui/lib/layout');

var _layout2 = _interopRequireDefault(_layout);

var _redboxReact2 = require('redbox-react');

var _redboxReact3 = _interopRequireDefault(_redboxReact2);

var _react2 = require('react');

var _react3 = _interopRequireDefault(_react2);

var _reactTransformCatchErrors3 = require('react-transform-catch-errors');

var _reactTransformCatchErrors4 = _interopRequireDefault(_reactTransformCatchErrors3);

var _dec, _class, _class2, _temp;

require('jcloudui/lib/layout/style');

var _reduxAsyncConnect = require('redux-async-connect');

var _reactRouter = require('react-router');

var _Header = require('./Header/Header');

var _Header2 = _interopRequireDefault(_Header);

var _TopTools = require('../TopTools/TopTools');

var _TopTools2 = _interopRequireDefault(_TopTools);

var _ApiClient = require('../../apiClient/ApiClient');

var _ApiClient2 = _interopRequireDefault(_ApiClient);

require('../Shop/style/shop.css');

var _reactHelmet = require('react-helmet');

var _reactHelmet2 = _interopRequireDefault(_reactHelmet);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _defaults(obj, defaults) { var keys = Object.getOwnPropertyNames(defaults); for (var i = 0; i < keys.length; i++) { var key = keys[i]; var value = Object.getOwnPropertyDescriptor(defaults, key); if (value && value.configurable && obj[key] === undefined) { Object.defineProperty(obj, key, value); } } return obj; }

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : _defaults(subClass, superClass); }

function _objectDestructuringEmpty(obj) { if (obj == null) throw new TypeError("Cannot destructure undefined"); }

var _components = {
  Shop: {
    displayName: 'Shop'
  }
};

var _reactTransformCatchErrors2 = (0, _reactTransformCatchErrors4.default)({
  filename: '../../src/components/ShopToolBar/ShopToolBar.js',
  components: _components,
  locals: [],
  imports: [_react3.default, _redboxReact3.default]
});

function _wrapComponent(id) {
  return function (Component) {
    return _reactTransformCatchErrors2(Component, id);
  };
} //链接跳转，相当于a标签

// import ShopSider from './Sider/Sider';


var Content = _layout2.default.Content;

var ms = [{
  id: 1,
  name: "首页",
  href: "http://shop.hnc.jcloudec.com/shop-view/home",
  target: "_self",
  children: [{
    id: 11,
    name: "商品管理",
    icon: "cgs",
    children: [{
      id: 111,
      name: "经营类目",
      href: "http://shop.hnc.jcloudec.com/item-shop-view/goods-manage/category",
      target: "_self"
    }, {
      id: 112,
      name: "经营品牌",
      href: "http://shop.hnc.jcloudec.com/item-shop-view/goods-manage/brand",
      target: "_self"
    }]
  }, {
    id: 12,
    name: "商品发布",
    icon: "cgs",
    children: [{
      id: 121,
      name: "选择供货商品",
      href: "http://shop.hnc.jcloudec.com/item-shop-view/selectgoods",
      target: "_self"
    }, {
      id: 122,
      name: "商品信息管理",
      href: "http://shop.hnc.jcloudec.com/item-shop-view/iteminfo",
      target: "_self"
    }, {
      id: 123,
      name: "提交新商品",
      href: "http://shop.hnc.jcloudec.com/item-shop-view/goods-release",
      target: "_self"
    }]
  }, {
    id: 13,
    name: "物流服务",
    icon: "cgs",
    children: [{
      id: 131,
      name: "地址管理",
      href: "http://shop.hnc.jcloudec.com/user-shop-view/supplier/address",
      target: "_self"
    }]
  }]
}, {
  id: 2,
  name: "账号管理",
  children: [{
    id: 21,
    name: "账号管理",
    icon: "cgs",
    children: [{
      id: 211,
      name: "账号信息",
      href: "http://shop.hnc.jcloudec.com/user-shop-view/accountmanage/accountInfo",
      target: "_self"
    }, {
      id: 212,
      name: "账号安全",
      href: "http://shop.hnc.jcloudec.com/user-shop-view/accountmanage/accountSecurity",
      target: "_self"
    }]
  }]
}, {
  id: 3,
  name: "订单管理",
  children: [{
    id: 31,
    name: "订单管理",
    icon: "xx",
    children: [{
      id: 311,
      name: "订单管理",
      href: "http://shop.hnc.jcloudec.com/order-shop-view/order/list",
      target: "_self"
    }, {
      id: 312,
      name: "销售区域设置",
      href: "http://shop.hnc.jcloudec.com/order-shop-view/salearea",
      target: "_self"
    }, {
      id: 313,
      name: "换货订单",
      href: "http://shop.hnc.jcloudec.com/customer-service-shop-view/exchange/grid",
      target: "_self"
    }, {
      id: 314,
      name: "退换货记录",
      href: "http://shop.hnc.jcloudec.com/customer-service-shop-view/returnexchangerecord/grid",
      target: "_self"
    }]
  }]
}, {
  id: 5,
  name: "财务管理",
  children: [{
    id: 51,
    name: "会员资金账户",
    href: "http://shop.hnc.jcloudec.com/finance-shop-view/memberFinanceAccount",
    target: "_self"
  }, {
    id: 52,
    name: "结算管理",
    href: "http://shop.hnc.jcloudec.com/finance-shop-view/settlement/grid",
    target: "_self"
  }]
}];

var Shop = _wrapComponent('Shop')((_dec = (0, _reduxAsyncConnect.asyncConnect)([{
  promise: function promise(_ref) {
    _objectDestructuringEmpty(_ref.store);

    var promises = [];
    return Promise.all(promises);
  }
}]), _dec(_class = (_temp = _class2 = function (_Component) {
  _inherits(Shop, _Component);

  function Shop(props, context) {
    _classCallCheck(this, Shop);

    var _this = _possibleConstructorReturn(this, _Component.call(this, props, context));

    _this.state = {
      menus: [],
      icon: ''
    };
    return _this;
  }

  //------------------动态获取菜单begin-------------------------------------


  Shop.prototype.shopMenuSearch = function shopMenuSearch() {
    var _this2 = this;

    var client = new _ApiClient2.default();
    var form = null;
    client.get('/authority-service/mall/resource/queryResourceMenuBySellerId', { params: form }).then(function (res) {
      if (res.code == 0 && res.data) {
        var tmp = res.data.slice(0, 9);
        var result = _this2.reformData(tmp);
        _this2.setState({
          menus: result
        });
      }
    }, function (err) {});
  };

  Shop.prototype.reformData = function reformData(data) {
    var result = [];
    if (data && data.length) {
      for (var _i in data) {
        result.push(this.reformUnit(data[_i]));
      }
    } else {}
    return result;
  };

  Shop.prototype.reformUnit = function reformUnit(data) {
    var unit = { id: '', name: '', href: '', target: '', children: [] };
    unit.id = data.id + '';
    unit.name = data.name;
    unit.href = data.url;
    unit.target = data.target ? children[i].target : '_self';
    if (data && data.children && data.children.length > 0) {
      for (var _i2 in data.children) {
        unit.children.push(this.reformUnit(data.children[_i2]));
      }
    } else {
      delete unit['children'];
    }
    return unit;
  };
  //------------------获取ICON--------------------------------------------


  Shop.prototype.getWebsiteConfig = function getWebsiteConfig() {
    var _this3 = this;

    var client = new _ApiClient2.default();
    client.get('/platform-service/mallInfo/getMallInfo').then(function (res) {
      if (res.code == 0 && res.data) {
        _this3.setState({ icon: res.data.icon, logo: res.data.userLogo });
      }
    }, function (err) {});
  };
  //------------------动态获取菜单end-------------------------------------

  Shop.prototype.componentWillMount = function componentWillMount() {
    this.shopMenuSearch();
    this.getWebsiteConfig();
    this.minHeight = typeof window !== 'undefined' ? document.body.clientHeight - 64 : 580;
    this.location = typeof window !== 'undefined' ? window.location.href : "";
    this.referer = typeof document !== 'undefined' ? document.referrer : "";
  };

  Shop.prototype.getHref = function getHref(o) {
    if (o && o.length) {
      for (var i = 0; i < o.length; i++) {
        var menu = o[i];
        if (menu.href && menu.href != "") {
          return menu.href;
        } else if (menu.children && menu.children.length) {
          return this.getHref(menu.children);
        } else {
          return "";
        }
      }
    } else {
      return "";
    }
  };

  Shop.prototype.horizontalMenu = function horizontalMenu(o) {
    var _this4 = this;

    var horizontalMenu = [];
    if (o && o.length && o.length > 0) {
      o.map(function (menu) {
        var children = menu.children,
            rest = _objectWithoutProperties(menu, ['children']);

        rest.href = rest.href && rest.href != "" ? rest.href : _this4.getHref(children);
        horizontalMenu.push(rest);
      });
    } else {}
    return horizontalMenu;
  };

  Shop.prototype.urlMatch = function urlMatch(location, href) {
    //href:/dfsd/sdfs
    //location:http://dfsd/sdf/sdfs
    var finalLocation = '';
    if (location) {
      var result = String(location).split('.com');
      if (result && result.length && result[1]) {
        var path = result[1];
        var tmp = path.split('?');
        if (tmp && tmp[0]) {
          finalLocation = tmp[0];
          if (finalLocation == href) {
            return true;
          }
        }
      }
    }
    return false;
  };

  Shop.prototype.verticalMenu = function verticalMenu(o, location) {
    var subMenu = [];
    var hKey = 0;
    var vKey = 0;
    var vName = "";
    var openKey = [];
    if (o && o.length && o.length > 0) {
      for (var i = 0; i < o.length; i++) {
        var menu = o[i];
        if (menu.href && menu.href != "" && this.urlMatch(location, menu.href)) {
          subMenu = menu.children;
          hKey = menu.id;
          var tmpOpenKey = [];
          for (var q in menu.children) {
            tmpOpenKey.push(menu.children[q].id + '');
          }
          openKey = tmpOpenKey;
        } else if (menu.children && menu.children.length) {
          for (var j = 0; j < menu.children.length; j++) {
            var vMenu = menu.children[j];
            if (vMenu.href && vMenu.href != "" && this.urlMatch(location, vMenu.href)) {
              subMenu = menu.children;
              hKey = menu.id;
              vKey = vMenu.id;
              vName = vMenu.name;
            } else if (vMenu.children && vMenu.children.length) {
              for (var n = 0; n < vMenu.children.length; n++) {
                var sMenu = vMenu.children[n];
                if (sMenu.href && sMenu.href != "" && this.urlMatch(location, sMenu.href)) {
                  subMenu = menu.children;
                  hKey = menu.id;
                  vKey = sMenu.id;
                  vName = sMenu.name;
                  openKey.push(vMenu.id);
                }
              }
            }
          }
        }
      }
    }
    return { subMenu: subMenu, hKey: hKey, openKey: openKey, vKey: vKey, vName: vName };
  };

  Shop.prototype.render = function render() {
    var _props$menus = this.props.menus,
        menus = _props$menus === undefined ? ms : _props$menus;

    var horizontalMenu = this.horizontalMenu(this.state.menus);
    var verticalMenu = this.verticalMenu(this.state.menus, this.location);
    if (verticalMenu.subMenu.length == 0) {
      verticalMenu = this.verticalMenu(this.state.menus, this.referer || "");
    }

    var _verticalMenu = verticalMenu,
        hKey = _verticalMenu.hKey,
        vName = _verticalMenu.vName,
        rest = _objectWithoutProperties(_verticalMenu, ['hKey', 'vName']);

    return _react3.default.createElement(
      'div',
      null,
      _react3.default.createElement(
        _reactHelmet2.default,
        null,
        _react3.default.createElement(
          'title',
          null,
          '\u4F9B\u5E94\u5546\u5165\u9A7B'
        ),
        _react3.default.createElement('link', { rel: 'icon', href: this.state.icon, mce_href: this.state.icon, type: 'image/x-icon' })
      ),
      _react3.default.createElement(_TopTools2.default, null),
      _react3.default.createElement(_Header2.default, { menus: horizontalMenu, selectKey: hKey, logo: this.state.logo }),
      _react3.default.createElement(
        'div',
        { className: 'shop-framework-body-container' },
        _react3.default.createElement(
          Content,
          { style: { minHeight: this.minHeight + "px" } },
          this.props.children
        )
      )
    );
  };

  return Shop;
}(_react2.Component), _class2.propTypes = {
  children: _react2.PropTypes.object.isRequired
}, _temp)) || _class));

exports.default = Shop;
module.exports = exports['default'];
//# sourceMappingURL=ShopToolBar.js.map