'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _menu = require('jcloudui/lib/menu');

var _menu2 = _interopRequireDefault(_menu);

var _icon = require('jcloudui/lib/icon');

var _icon2 = _interopRequireDefault(_icon);

var _redboxReact2 = require('redbox-react');

var _redboxReact3 = _interopRequireDefault(_redboxReact2);

var _react2 = require('react');

var _react3 = _interopRequireDefault(_react2);

var _reactTransformCatchErrors3 = require('react-transform-catch-errors');

var _reactTransformCatchErrors4 = _interopRequireDefault(_reactTransformCatchErrors3);

require('jcloudui/lib/menu/style');

require('jcloudui/lib/icon/style');

var _reactRouter = require('react-router');

require('./style/subAccountSider.css');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _defaults(obj, defaults) { var keys = Object.getOwnPropertyNames(defaults); for (var i = 0; i < keys.length; i++) { var key = keys[i]; var value = Object.getOwnPropertyDescriptor(defaults, key); if (value && value.configurable && obj[key] === undefined) { Object.defineProperty(obj, key, value); } } return obj; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : _defaults(subClass, superClass); }

var _components = {
  Sider: {
    displayName: 'Sider'
  }
};

var _reactTransformCatchErrors2 = (0, _reactTransformCatchErrors4.default)({
  filename: '../../src/components/SubAccount/Sider/Sider.js',
  components: _components,
  locals: [],
  imports: [_react3.default, _redboxReact3.default]
});

function _wrapComponent(id) {
  return function (Component) {
    return _reactTransformCatchErrors2(Component, id);
  };
} //链接跳转，相当于a标签


var Sider = _wrapComponent('Sider')(function (_Component) {
  _inherits(Sider, _Component);

  function Sider(context) {
    _classCallCheck(this, Sider);

    var _this = _possibleConstructorReturn(this, _Component.call(this, context));

    _this.state = {
      current: '4'
    };
    return _this;
  }

  Sider.prototype.handleClick = function handleClick(e) {
    this.setState({
      current: e.key
    });
  };

  Sider.prototype.render = function render() {
    var vKey = this.props.selectKey;
    return _react3.default.createElement(
      'div',
      { className: 'buyer-sider-container' },
      _react3.default.createElement(
        _menu2.default,
        {
          key: Math.random(),
          theme: 'light',
          onClick: this.handleClick.bind(this),
          selectedKeys: [String(vKey)],
          mode: 'inline'
        },
        _react3.default.createElement(
          _menu2.default.Item,
          { key: '20001', style: { borderBottom: '1px solid #ecf0f2', paddingLeft: '48px' } },
          _react3.default.createElement(
            'a',
            { href: '/subaccount-buyer-view/subaccountmanage' },
            _react3.default.createElement(_icon2.default, { type: '' }),
            _react3.default.createElement(
              'span',
              { className: 'second-menu-nochild' },
              '\u5B50\u8D26\u53F7\u7BA1\u7406'
            )
          )
        ),
        _react3.default.createElement(
          _menu2.default.Item,
          { key: '20002', style: { borderBottom: '1px solid #ecf0f2', paddingLeft: '48px' } },
          _react3.default.createElement(
            'a',
            { href: '/subaccount-buyer-view/rolemanage' },
            _react3.default.createElement(_icon2.default, { type: '' }),
            _react3.default.createElement(
              'span',
              { className: 'second-menu-nochild' },
              '\u89D2\u8272\u7BA1\u7406'
            )
          )
        )
      )
    );
  };

  return Sider;
}(_react2.Component));

exports.default = Sider;
module.exports = exports['default'];
//# sourceMappingURL=Sider.js.map